%define module_name ltmodem
%define module_version 8.26a9
%define module_release alt1
%define module_source_dir %module_name-%module_version

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: %module_release
Summary: Linux %module_name modules sources
#  FIXME:
License: Distributable
Group: Development/Kernel
Source0: http://www.physcip.uni-stuttgart.de/heby/ltmodem/%module_name-%module_version.tar.gz
URL: http://www.physcip.uni-stuttgart.de/heby/ltmodem/
Patch0: %module_name-%module_version-makefile-fixes.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools


Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

#### KERNEL DOCUMENTATION ####
%package -n kernel-doc-%module_name
Version: %module_version
Summary: Linux %module_name modules documentation
Group: Development/Kernel

%description
%module_name modules sources for Linux kernel

%description -n kernel-doc-%module_name
%module_name modules documentation for Linux kernel

%prep
%setup -c

pushd %module_source_dir
tar -xzf source.tar.gz
rm -f source.tar.gz
%patch0 -p1
popd

%install
mkdir -p %buildroot%_usrsrc/kernel/sources
mkdir -p %buildroot%_defaultdocdir/%module_name-doc-%module_version

cp -a %module_source_dir/DOCs \
    %module_source_dir/utils \
    %module_source_dir/1ST-READ \
    %module_source_dir/source/CHANGELOG\
    %module_source_dir/source/UPDATES-BUGS \
    %buildroot%_defaultdocdir/%module_name-doc-%module_version

mv %module_source_dir/source kernel-source-%module_name-%module_version
rm -rf %module_source_dir
tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%files
%_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%files -n kernel-doc-%module_name
%doc %_defaultdocdir/%module_name-doc-%module_version

%changelog
* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 8.26a9-alt1
- imported to Sisyphus

* Mon Sep 08 2003 Andrey Rahmatullin <wrar@mail.ru> 8.26a9-wrar0.4
- Adapting for ALT

* Fri Aug 29 2003 Andrey Rahmatullin <wrar@mail.ru> 8.26a9-wrar0.3
- fixed source URL

* Thu Aug 28 2003 Andrey Rahmatullin <wrar@mail.ru> 8.26a9-wrar0.2
- Makefile patch

* Tue Aug 26 2003 Andrey Rahmatullin <wrar@mail.ru> 8.26a9-wrar0.1
- first build
